Subject: Re: Dual boot. Ubuntu update removes Debian GRUB.

From: "Stefan.schultz19.5.1991" <[email-masked]>
Date: Mon, 05 Sep 2016 15:39:44 -0400

Hello Debian support,

David, thank you for your informative answer, and your advice. I installed the grub-customizer PPA in Ubuntu for version 16.04. I had tried the previous version for 14.04. Interestingly both versions only see Ubuntu and Memtest 86 and not Debian, even though the box is checked to search for other O/S.

Could it be anything to do with the fact that I have Debian in an encrypted partition?

Near the end of the Debian installation, a screen appeared that reads....

'You need to make the newly installed system bootable, by installing the GRUB boot loader on a bootable device. the usual way to do this is to install GRUB on the MBR of your first hard drive. If you prefer, you can install GRUB elsewhere on the drive, or to another drive, or even a floppy.'

'The device should be specified as a device in /dev.'

It then gives examples. I originally installed Debian on a small 4GB partition, dev/sda5. But it wouldn't boot from that. On my second attempt I put it in the MBR in /dev/sda. That worked until I did an Ubuntu update.

That's the latest. Thanks for your help.

Stefan

Sent from [ProtonMail](https://protonmail.com), Swiss-based encrypted email.